com.corticon.rulesemf.common

## Interface CorticonObject

- All Superinterfaces:
    Annotatable, Annotation, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActivityShape, DecisionEdge, DecisionShape, FlowDiagram, FlowEdge, FlowShape, InitiateShape, LoopbackEdge, TerminateShape

      public interface CorticonObject
      extends Annotatable

  A representation of the model object 'Corticon Object'.

  The following features are supported:

  - `Guid`
  See Also:
    `CommonPackage.getCorticonObject()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGuid()` Returns the value of the 'Guid' attribute
    `void` | `setGuid(java.lang.String value)` Sets the value of the '`Guid`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGuid

          java.lang.String getGuid()

      Returns the value of the 'Guid' attribute.

      If the meaning of the 'Guid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Guid' attribute.
      See Also:
        `setGuid(String)`, `CommonPackage.getCorticonObject_Guid()`

    - #### setGuid

          void setGuid(java.lang.String value)

      Sets the value of the '`Guid`' attribute.
      Parameters:
        `value` - the new value of the 'Guid' attribute.
      See Also:
        `getGuid()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.